Subject: bug#5475: Archives with filenames with square brackets

From: Chong Yidong <[email-masked]>
Date: Thu, 28 Jan 2010 15:07:09 -0500

Eli Zaretskii <[email-masked]> writes:

>> Well, archive-zip-extract already branches for pkzip/unzip
>
> Yes, but it does that by a user option, not by some hidden knowledge.
> I won't mind introducing a similar option that would tell arc-mode to
> quote the file arguments.

Right, but once the user tells arc-mode to use unzip, we can
automagically shell-quote the filename; there seems to be no reason not
to.

It doesn't seem like anyone's going to test PKzip anytime soon.  In the
meantime, I have checked in the change to use shell-quote-argument for
unzip.